<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Hello BachelorThesis!</title>
    <link rel="stylesheet" href="<%= static_path(@conn, "/css/app.css") %>">
  </head>

  <body>
    <div class="container">
      <header class="header">
        <nav role="navigation">
          <ul class="nav nav-pills pull-right">
            <%= if logged_in?(@conn) do %>
            <li>
              <% current_user = current_user(@conn) %>
              <label><%= current_user.firstName <> " " <> current_user.lastName %></label>
              <%= link "Logout", to: session_path(@conn, :delete), method: :delete %>
            </li>
            <%= end %>
            <li><%= link "Home", to: page_path(@conn, :index) %></li>
          </ul>
        </nav>
        <span>
          <h1>Application of smart watches for remote devices control</h1>
        </span>
      </header>

      <p class="alert alert-info" role="alert"><%= get_flash(@conn, :info) %></p>
      <p class="alert alert-danger" role="alert"><%= get_flash(@conn, :error) %></p>

      <main role="main">
        <%= render @view_module, @view_template, assigns %>
      </main>

    </div> <!-- /container -->
    <script src="<%= static_path(@conn, "/js/app.js") %>"></script>
  </body>
</html>
